Replace an app's default compute settings.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
/v1/apps/{appId}/compute-settingsA team owner or member replaces the default settings used for subsequent builds. Values in nitroship.json or CLI flags override console settings on every deployment, but console settings can be saved and applied with Apply now until the next deployment. Null or omitted values clear the corresponding settings. Only users with a verified email can use this.
Authorization
bearerAuth Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/apps/string/compute-settings" \ -H "Content-Type: application/json" \ -d '{ "maxInstances": 0, "minInstances": 0, "port": 0, "regions": [ "string" ], "tier": "string" }'{ "maxInstances": 0, "minInstances": 0, "port": 0, "productionSources": { "maxInstances": "string", "minInstances": "string", "port": "string", "regions": "string", "tier": "string" }, "regions": [ "string" ], "tier": "string", "updatedAt": "2019-08-24T14:15:22Z"}